library(tidyr)
library(ggplot2)
library(dplyr)
#faili sisselugemine ja andmete formaadi korrigeerimine
J123=read.csv("PT1-T1.2-J1.2.3.csv",header=FALSE, encoding ="UTF-8")
J123=J123[1:17,]
names(J123)=paste(J123[1,],J123[2,])
J123=J123[3:17,]
J123=pivot_longer(J123,cols=2:11)

J123=separate(J123,1,into=c("Time","Time2","V13","V14")," ")
J123$Time=paste(J123$Time,J123$Time2)
J123$V13=paste(J123$V13,J123$V14)
J123=as.data.frame(cbind(J123$Time,J123$V13,J123$name,J123$value))
J123=pivot_wider(J123,names_from=V2,values_from = V4)
J123=separate(J123,2,into=c("Gender","Age")," ")
names(J123)[1]="Time"
names(J123)[4]="Mean"

J123$Mean=as.numeric(J123$Mean)
J123$`CI upper`=as.numeric(J123$`CI upper`)
J123$`CI lower`=as.numeric(J123$`CI lower`)

#joonis
ggplot(J123)+
  geom_col(aes(x=Age,y=Mean,fill=interaction(Time,Gender,sep=":")),position=position_dodge(width=0.7),width=0.6)+
  facet_grid(~Gender)+
  geom_errorbar(aes(x=Age,ymin=`CI lower`,ymax=`CI upper`,group=Time),position=position_dodge(width=0.7),width=0.3)+
  theme_minimal()+
  scale_fill_manual(values=c("#1E272E","#6666CC","#4DB3D9","#982F1A","#EC1D23","#FF3600"),labels=rep(unique(J123$Time),2))+
  theme(text = element_text(color="#668080"),axis.text=element_text(color="#668080"),legend.title = element_blank(),legend.position = "bottom")+
  guides(fill = guide_legend(nrow = 1))+
  theme(strip.text.x = element_text(color = "#668080"))+ #Facet_grid pealkirjade vC$rv (Men and Women)
  ylab("")







